import 'package:{{#snakeCase}}{{project_name}}{{/snakeCase}}/core/errors/exceptions.dart';
import 'package:{{#snakeCase}}{{project_name}}{{/snakeCase}}/core/usecases/usecase.dart';
import 'package:{{#snakeCase}}{{project_name}}{{/snakeCase}}/domain/repositories/counter_repository.dart';
import 'package:wyatt_type_utils/wyatt_type_utils.dart';

class IncrementCounter extends UseCase<int, int> {
  final CounterRepository counterRepository;

  IncrementCounter({
    required this.counterRepository,
  });

  @override
  Future<Result<int, AppException>> call(int params) async =>
      counterRepository.increment(params);
}
